Package com.ngrok.definitions

# Class AgentIngress

java.lang.Object
com.ngrok.definitions.AgentIngress

public class AgentIngress extends Object
A class encapsulating the `AgentIngress` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgentIngress(String id, URI uri, String description, String metadata, String domain, List<String> nsTargets, List<String> regionDomains, OffsetDateTime createdAt)`
  Creates a new instance of `AgentIngress`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the Agent Ingress was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of the use of this Agent Ingress.
  `String`
  `getDomain()`
  the domain that you own to be used as the base domain name to generate regional agent ingress domains.
  `String`
  `getId()`
  unique Agent Ingress resource identifier
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this Agent Ingress.
  `List<String>`
  `getNsTargets()`
  a list of target values to use as the values of NS records for the domain property these values will delegate control over the domain to ngrok
  `List<String>`
  `getRegionDomains()`
  a list of regional agent ingress domains that are subdomains of the value of domain this value may increase over time as ngrok adds more regions
  `URI`
  `getUri()`
  URI to the API resource of this Agent ingress
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AgentIngress

    public AgentIngress(String id, URI uri, String description, String metadata, String domain, List<String> nsTargets, List<String> regionDomains, OffsetDateTime createdAt)
    Creates a new instance of `AgentIngress`.
    Parameters:
      `id` - unique Agent Ingress resource identifier
      `uri` - URI to the API resource of this Agent ingress
      `description` - human-readable description of the use of this Agent Ingress. optional, max 255 bytes.
      `metadata` - arbitrary user-defined machine-readable data of this Agent Ingress. optional, max 4096 bytes
      `domain` - the domain that you own to be used as the base domain name to generate regional agent ingress domains.
      `nsTargets` - a list of target values to use as the values of NS records for the domain property these values will delegate control over the domain to ngrok
      `regionDomains` - a list of regional agent ingress domains that are subdomains of the value of domain this value may increase over time as ngrok adds more regions
      `createdAt` - timestamp when the Agent Ingress was created, RFC 3339 format

- ## Method Details

  - ### getId

    public String getId()
    unique Agent Ingress resource identifier
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI to the API resource of this Agent ingress
    Returns:
      the value of the property as a `URI`

  - ### getDescription

    public String getDescription()
    human-readable description of the use of this Agent Ingress. optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this Agent Ingress. optional, max 4096 bytes
    Returns:
      the value of the property as a `String`

  - ### getDomain

    public String getDomain()
    the domain that you own to be used as the base domain name to generate regional agent ingress domains.
    Returns:
      the value of the property as a `String`

  - ### getNsTargets

    public List<String> getNsTargets()
    a list of target values to use as the values of NS records for the domain property these values will delegate control over the domain to ngrok
    Returns:
      the value of the property as a `List` of `String`

  - ### getRegionDomains

    public List<String> getRegionDomains()
    a list of regional agent ingress domains that are subdomains of the value of domain this value may increase over time as ngrok adds more regions
    Returns:
      the value of the property as a `List` of `String`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the Agent Ingress was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`